Subject: Re: bug#33019: 26.1; can not set fontset as frame font by set-frame-font

From: [email-masked]
Date: Sat, 13 Oct 2018 20:23:55 +0900

Eli Zaretskii <[email-masked]> writes:
>> I want to display some web pages partially with serif fonts.
>
> How is the text in those web pages different from the other text,
> where you want Sans-Serif fonts?

The CSS of the page specifies serif font.

>> Also I want to display chinese language text with "Noto Serif CJK SC"
>> or "Noto Serif CJK TC".
>
> But then why do you define the range u+4E00..u+9FFF to be displayed by
> "Noto Sans CJK JP"?  This range is for Chinese text, AFAIK.

CJK Unified Ideographs are also used for Japanese language.

> And this still doesn't answer the question if why do you use :family
> instead of specifying the actual fonts you want.

I want to use "Noto Sans CJK JP" as default.
And sometimes I want to change font for some texts,
such as headers or cited texts.